View Issue Details

IDProjectCategoryView StatusLast Update
0003574SOGoGUIpublic2016-03-18 12:43
Reporternbonline Assigned Toludovic  
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version3.0.2 
Fixed in Version3.1.0 
Summary0003574: The proxy server received an invalid response from an upstream server.
Description

After update to latest Sogo I get a proxy error. I have tried to reinstall all packages. Nothing else is altered on the server.

I have tried fifferent web browsers.

Additional Information

ar 09 22:09:01 sogod [57719]: <0x0x7fcd03ec7520[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Mar 09 22:09:01 sogod [57719]: <0x0x7fcd03ec7520[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
EXCEPTION: <NSException: 0x7fcd04601500> NAME:NSInvalidArgumentException REASON:init with obj and key arrays of different sizes INFO:(null)
Mar 09 22:09:01 sogod [57712]: <0x0x7fcd04126230[WOWatchDogChild]> child 57719 exited
Mar 09 22:09:01 sogod [57712]: <0x0x7fcd04126230[WOWatchDogChild]> (terminated due to signal 6)
Mar 09 22:09:01 sogod [57712]: <0x0x7fcd03e76340[WOWatchDog]> child spawned with pid 58474

TagsNo tags attached.

Activities

ludovic

ludovic

2016-03-09 16:20

administrator   ~0009667

Are you using the Swedish language? How about if you try a different one?

nbonline

nbonline

2016-03-09 16:25

reporter   ~0009668

Yes, I am on Swedish and have tried English to. Same problem.

ludovic

ludovic

2016-03-09 16:27

administrator   ~0009669

Try this: http://sogo.nu/nc/support/faq/article/how-do-i-debug-sogo-2.html

nbonline

nbonline

2016-03-09 16:46

reporter   ~0009670

debuginfo: command not found

Installed RHEL packages.

nbonline

nbonline

2016-03-09 16:49

reporter   ~0009671

gdb: command not found

nbonline

nbonline

2016-03-09 17:01

reporter   ~0009672

-bash-4.2$ gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-80.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/sogod...Reading symbols from /usr/lib/debug/usr/sbin/sogod.debug...done.
done.
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Mar 09 22:55:20 sogod [60109]: version 3.0.2 (build root@shiva.inverse 201603051153) -- starting
Mar 09 22:55:20 sogod [60109]: vmem size check enabled: shutting down app when vmem > 384 MB
Mar 09 22:55:20 sogod [60109]: <0x0x555555a8b1a0[SOGoProductLoader]> SOGo products loaded from '/usr/lib64/GNUstep/SOGo':
Mar 09 22:55:20 sogod [60109]: <0x0x555555a8b1a0[SOGoProductLoader]> AdministrationUI.SOGo, Appointments.SOGo, CommonUI.SOGo, Contacts.SOGo, ContactsUI.SOGo, MailPartViewers.SOGo, Mailer.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, ActiveSync.SOGo
[New Thread 0x7fffe203b700 (LWP 60113)]
[Thread 0x7fffe203b700 (LWP 60113) exited]
Mar 09 22:55:20 sogod [60109]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff0c00c3d in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install avahi-libs-0.6.31-15.el7_2.1.x86_64 cyrus-sasl-lib-2.1.26-20.el7_2.x86_64 dbus-libs-1.6.12-13.el7.x86_64 expat-2.1.0-8.el7.x86_64 glibc-2.17-106.el7_2.4.x86_64 gmp-6.0.0-12.el7_1.x86_64 gnustep-base-libs-1.24.7-1.el7.x86_64 gnutls-3.3.8-14.el7_2.x86_64 keyutils-libs-1.5.8-3.el7.x86_64 krb5-libs-1.13.2-10.el7.x86_64 libcom_err-1.42.9-7.el7.x86_64 libcurl-7.29.0-25.el7.centos.x86_64 libffi-3.0.13-16.el7.x86_64 libgcc-4.8.5-4.el7.x86_64 libgcrypt-1.5.3-12.el7_1.1.x86_64 libgpg-error-1.12-3.el7.x86_64 libicu-50.1.2-15.el7.x86_64 libidn-1.28-4.el7.x86_64 libmemcached-1.0.16-5.el7.x86_64 libobjc-4.8.5-4.el7.x86_64 libselinux-2.2.2-6.el7.x86_64 libssh2-1.4.3-10.el7.x86_64 libstdc++-4.8.5-4.el7.x86_64 libtasn1-3.8-2.el7.x86_64 libwbxml-0.11.2-4.el7.centos.x86_64 libxml2-2.9.1-6.el7_2.2.x86_64 libxslt-1.1.28-5.el7.x86_64 mariadb-libs-5.5.44-2.el7.centos.x86_64 nettle-2.7.1-4.el7.x86_64 nspr-4.10.8-2.el7_1.x86_64 nss-3.19.1-19.el7_2.x86_64 nss-softokn-freebl-3.16.2.3-13.el7_1.x86_64 nss-util-3.19.1-9.el7_2.x86_64 openldap-2.4.40-8.el7.x86_64 openssl-libs-1.0.1e-51.el7_2.4.x86_64 p11-kit-0.20.7-3.el7.x86_64 pcre-8.32-15.el7.x86_64 trousers-0.3.13-1.el7.x86_64 xz-libs-5.1.2-12alpha.el7.x86_64 zlib-1.2.7-15.el7.x86_64
(gdb) <p/&g
Undefined command: "<p". Try "help".
(gdb) b
Breakpoint 1 at 0x7ffff0c00c3d
(gdb) b
Note: breakpoint 1 also set at pc 0x7ffff0c00c3d.
Breakpoint 2 at 0x7ffff0c00c3d
(gdb) c
Continuing.

Breakpoint 1, 0x00007ffff0c00c3d in poll () from /lib64/libc.so.6
(gdb) bt
#0 0x00007ffff0c00c3d in poll () from /lib64/libc.so.6
0000001 0x00007ffff55224e6 in -[GSRunLoopCtxt pollUntil:within:] () from /lib64/libgnustep-base.so.1.24
0000002 0x00007ffff5463870 in -[NSRunLoop acceptInputForMode:beforeDate:] () from /lib64/libgnustep-base.so.1.24
0000003 0x00007ffff5463d22 in -[NSRunLoop runMode:beforeDate:] () from /lib64/libgnustep-base.so.1.24
0000004 0x00007ffff6c39d14 in -[WOCoreApplication run] (self=0x555555b8fc00, _cmd=0x555555762c70 <_OBJC_SELECTOR_TABLE+816>) at WOCoreApplication.m:584
0000005 0x000055555555b22e in -[SOGo run] (self=0x555555b8fc00, _cmd=0x7ffff6f88750 <_OBJC_SELECTOR_TABLE+208>) at SOGo.m:268
0000006 0x00007ffff6c6371a in WOApplicationMain (_appClassName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618) at WOApplicationMain.m:42
0000007 0x00007ffff6c84043 in WOWatchDogApplicationMain (appName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618) at WOWatchDogApplicationMain.m:1043
0000008 0x000055555555a4c1 in main (argc=13, argv=0x7fffffffe618, env=0x7fffffffe688) at sogod.m:51

ludovic

ludovic

2016-03-09 17:04

administrator   ~0009673

You stack trace is worthless. READ THE INSTRUCTIONS.

nbonline

nbonline

2016-03-10 08:31

reporter   ~0009697

-bash-4.2$ gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-80.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/sogod...Reading symbols from /usr/lib/debug/usr/sbin/sogod.debug...done.
done.
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Mar 10 14:27:06 sogod [11560]: version 3.0.2 (build root@shiva.inverse 201603051153) -- starting
Mar 10 14:27:06 sogod [11560]: vmem size check enabled: shutting down app when vmem > 384 MB
Mar 10 14:27:06 sogod [11560]: <0x0x555555a8b1a0[SOGoProductLoader]> SOGo products loaded from '/usr/lib64/GNUstep/SOGo':
Mar 10 14:27:06 sogod [11560]: <0x0x555555a8b1a0[SOGoProductLoader]> AdministrationUI.SOGo, Appointments.SOGo, CommonUI.SOGo, Contacts.SOGo, ContactsUI.SOGo, MailPartViewers.SOGo, Mailer.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, ActiveSync.SOGo
[New Thread 0x7fffe203b700 (LWP 11564)]
[Thread 0x7fffe203b700 (LWP 11564) exited]
Mar 10 14:27:06 sogod [11560]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff0c00c3d in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install avahi-libs-0.6.31-15.el7_2.1.x86_64 cyrus-sasl-lib-2.1.26-20.el7_2.x86_64 dbus-libs-1.6.12-13.el7.x86_64 expat-2.1.0-8.el7.x86_64 glibc-2.17-106.el7_2.4.x86_64 gmp-6.0.0-12.el7_1.x86_64 gnustep-base-libs-1.24.7-1.el7.x86_64 gnutls-3.3.8-14.el7_2.x86_64 keyutils-libs-1.5.8-3.el7.x86_64 krb5-libs-1.13.2-10.el7.x86_64 libcom_err-1.42.9-7.el7.x86_64 libcurl-7.29.0-25.el7.centos.x86_64 libffi-3.0.13-16.el7.x86_64 libgcc-4.8.5-4.el7.x86_64 libgcrypt-1.5.3-12.el7_1.1.x86_64 libgpg-error-1.12-3.el7.x86_64 libicu-50.1.2-15.el7.x86_64 libidn-1.28-4.el7.x86_64 libmemcached-1.0.16-5.el7.x86_64 libobjc-4.8.5-4.el7.x86_64 libselinux-2.2.2-6.el7.x86_64 libssh2-1.4.3-10.el7.x86_64 libstdc++-4.8.5-4.el7.x86_64 libtasn1-3.8-2.el7.x86_64 libwbxml-0.11.2-4.el7.centos.x86_64 libxml2-2.9.1-6.el7_2.2.x86_64 libxslt-1.1.28-5.el7.x86_64 mariadb-libs-5.5.44-2.el7.centos.x86_64 nettle-2.7.1-4.el7.x86_64 nspr-4.10.8-2.el7_1.x86_64 nss-3.19.1-19.el7_2.x86_64 nss-softokn-freebl-3.16.2.3-13.el7_1.x86_64 nss-util-3.19.1-9.el7_2.x86_64 openldap-2.4.40-8.el7.x86_64 openssl-libs-1.0.1e-51.el7_2.4.x86_64 p11-kit-0.20.7-3.el7.x86_64 pcre-8.32-15.el7.x86_64 trousers-0.3.13-1.el7.x86_64 xz-libs-5.1.2-12alpha.el7.x86_64 zlib-1.2.7-15.el7.x86_64
(gdb) b [NSException raise]
Breakpoint 1 at 0x7ffff53d9630
(gdb) b abort
Breakpoint 2 at 0x7ffff0b4bba0 (2 locations)
(gdb) c
Continuing.
Mar 10 14:28:45 sogod [11560]: <0x0x5555558a8490[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Mar 10 14:28:45 sogod [11560]: <0x0x5555558a8490[SOGoCache]> Using host(s) '127.0.0.1' as server(s)

Breakpoint 1, 0x00007ffff53d9630 in -[NSException raise] () from /lib64/libgnustep-base.so.1.24
(gdb) bt
#0 0x00007ffff53d9630 in -[NSException raise] () from /lib64/libgnustep-base.so.1.24
0000001 0x00007ffff53d92e6 in +[NSException raise:format:] () from /lib64/libgnustep-base.so.1.24
0000002 0x00007ffff53d1141 in -[NSDictionary initWithObjects:forKeys:] () from /lib64/libgnustep-base.so.1.24
0000003 0x00007ffff53d088b in +[NSDictionary dictionaryWithObjects:forKeys:] () from /lib64/libgnustep-base.so.1.24
0000004 0x00007fffe3d50e87 in -[UIxPageFrame _stringsForFramework:] (self=0x555555ea5ac0, _cmd=0x7fffe3f5dda0 <_OBJC_SELECTOR_TABLE+480>,
framework=0x0) at UIxPageFrame.m:232
0000005 0x00007fffe3d510a4 in -[UIxPageFrame commonLocalizableStrings] (self=0x555555ea5ac0, _cmd=0x555555fc1d00) at UIxPageFrame.m:253
0000006 0x00007ffff6c92351 in _getComponentValue (self=0x555555f5b2f0, object=0x555555ea5ac0, info=0x555555f5b310) at WOKeyPathAssociation.m:537
0000007 0x00007ffff6c92ca3 in _getOneValue (self=0x555555f5b2f0, root=0x555555ea5ac0) at WOKeyPathAssociation.m:758
0000008 0x00007ffff6c939f1 in -[WOKeyPathAssociation valueInComponent:] (self=0x555555f5b2f0, _cmd=0x7ffff6fb4de0 <_OBJC_SELECTOR_TABLE+448>,
_component=0x555555ea5ac0) at WOKeyPathAssociation.m:1004
0000009 0x00007ffff6c8f4b0 in -[WOAssociation valueInContext:] (self=0x555555f5b2f0, _cmd=0x7ffff6ff0920 <_OBJC_SELECTOR_TABLE+928>,
_ctx=0x5555558a4260) at WOAssociation.m:223
0000010 0x00007ffff6cc560f in -[_WOComplexString appendToResponse:inContext:] (self=0x555555f5b3c0, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOString.m:561
0000011 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f60bf0, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000012 0x00007ffff6cb4e07 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f6bae0, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOGenericContainer.m:121
0000013 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f79290, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000014 0x00007ffff6caf970 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x55555589bd20,
_ctx=0x5555558a4260) at WOConditional.m:242
0000015 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7c170, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000016 0x00007ffff6ca9154 in -[WOBody appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x55555589bd20,
_ctx=0x5555558a4260) at WOBody.m:157
0000017 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555eacb40, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000018 0x00007ffff6cb4e07 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f2f570, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOGenericContainer.m:121
0000019 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7c5d0, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000020 0x00007ffff6caf970 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x55555589bd20,
_ctx=0x5555558a4260) at WOConditional.m:242
0000021 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7cd80, _cmd=<optimized out>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOCompoundElement.m:247
0000022 0x00007ffff6c3ed68 in -[WOComponent appendToResponse:inContext:] (self=0x555555ea5ac0, _cmd=0x7ffff6f89350 <_OBJC_SELECTOR_TABLE+528>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOComponent.m:928
---Type <return> to continue, or q <return> to quit---
0000023 0x00007ffff6c64300 in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555555f3f090,
_cmd=0x7ffff6fc1ba0 <_OBJC_SELECTOR_TABLE+352>, _response=0x55555589bd20, _ctx=0x5555558a4260) at WOChildComponentReference.m:181
0000024 0x00007ffff6c3ed68 in -[WOComponent appendToResponse:inContext:] (self=0x555555eeec00, _cmd=0x7ffff7011480 <_OBJC_SELECTOR_TABLE+448>,
_response=0x55555589bd20, _ctx=0x5555558a4260) at WOComponent.m:928
0000025 0x00007ffff6cdf78b in -[SoDefaultRenderer renderComponent:inContext:] (self=0x5555558f0c00, _cmd=<optimized out>, _c=0x555555eeec00,
_ctx=0x5555558a4260) at SoDefaultRenderer.m:139
0000026 0x00007ffff6ce6972 in -[SoObjectRequestHandler renderObject:inContext:] (self=0x55555589edb0, _cmd=<optimized out>,
_object=0x555555eeec00, _ctx=0x5555558a4260) at SoObjectRequestHandler.m:466
0000027 0x00007ffff6ce74bd in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x55555589edb0, _cmd=<optimized out>,
_rq=<optimized out>, _ctx=0x5555558a4260, _sn=<optimized out>, app=<optimized out>) at SoObjectRequestHandler.m:616
0000028 0x00007ffff6c788d3 in -[WORequestHandler handleRequest:] (self=0x55555589edb0, _cmd=0x7ffff6f66e10 <_OBJC_SELECTOR_TABLE+1616>,
_request=0x555555cae030) at WORequestHandler.m:237
0000029 0x00007ffff6c3a4bc in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555b8fc00,
_cmd=0x7ffff6f66e60 <_OBJC_SELECTOR_TABLE+1696>, _request=0x555555cae030, handler=0x55555589edb0) at WOCoreApplication.m:712
0000030 0x00007ffff6c3a7bf in -[WOCoreApplication dispatchRequest:] (self=0x555555b8fc00, _cmd=0x555555762e60 <_OBJC_SELECTOR_TABLE+1312>,
_request=0x555555cae030) at WOCoreApplication.m:752
0000031 0x000055555555bb7d in -[SOGo dispatchRequest:] (self=0x555555b8fc00, _cmd=0x7ffff6ffe880 <_OBJC_SELECTOR_TABLE+1824>,
_request=0x555555cae030) at SOGo.m:444
0000032 0x00007ffff6cd7d05 in -[WOHttpTransaction _run] (self=0x555555a68650, _cmd=0x7ffff6ffe8b0 <_OBJC_SELECTOR_TABLE+1872>)
at WOHttpTransaction.m:596
0000033 0x00007ffff6cd8065 in -[WOHttpTransaction run] (self=0x555555a68650, _cmd=0x7ffff6ffc550 <_OBJC_SELECTOR_TABLE+1136>)
at WOHttpTransaction.m:649
0000034 0x00007ffff6cd3c64 in -[WOHttpAdaptor runConnection:] (self=0x555555c5e2c0, _cmd=0x7ffff6ffc5f0 <_OBJC_SELECTOR_TABLE+1296>,
_socket=0x555555aa7500) at WOHttpAdaptor.m:367
0000035 0x00007ffff6cd3e82 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555c5e2c0, _cmd=0x7ffff6ffc600 <_OBJC_SELECTOR_TABLE+1312>,
_connection=0x555555aa7500) at WOHttpAdaptor.m:401
0000036 0x00007ffff6cd4277 in -[WOHttpAdaptor _handleConnection:] (self=0x555555c5e2c0, _cmd=0x7ffff6ffc6b0 <_OBJC_SELECTOR_TABLE+1488>,
connection=0x555555aa7500) at WOHttpAdaptor.m:460
0000037 0x00007ffff6cd46f6 in -[WOHttpAdaptor acceptConnection:] (self=0x555555c5e2c0, _cmd=0x7ffff6ffc510 <_OBJC_SELECTOR_TABLE+1072>,
_notification=0x555555a69340) at WOHttpAdaptor.m:521
0000038 0x00007ffff541c13f in -[NSNotificationCenter _postAndRelease:] () from /lib64/libgnustep-base.so.1.24
0000039 0x00007ffff60a6e3d in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x55555598a9d0, _cmd=0x7ffff59719b0,
_fdData=0xb, _type=ET_RDESC, _extra=0xb, _mode=0x7ffff5903410) at NSRunLoop+FileObjects.m:58
0000040 0x00007ffff5522eea in -[GSRunLoopCtxt pollUntil:within:] () from /lib64/libgnustep-base.so.1.24
0000041 0x00007ffff5463870 in -[NSRunLoop acceptInputForMode:beforeDate:] () from /lib64/libgnustep-base.so.1.24
0000042 0x00007ffff5463d22 in -[NSRunLoop runMode:beforeDate:] () from /lib64/libgnustep-base.so.1.24
0000043 0x00007ffff6c39d14 in -[WOCoreApplication run] (self=0x555555b8fc00, _cmd=0x555555762c70 <_OBJC_SELECTOR_TABLE+816>)
at WOCoreApplication.m:584
0000044 0x000055555555b22e in -[SOGo run] (self=0x555555b8fc00, _cmd=0x7ffff6f88750 <_OBJC_SELECTOR_TABLE+208>) at SOGo.m:268
---Type <return> to continue, or q <return> to quit---
0000045 0x00007ffff6c6371a in WOApplicationMain (_appClassName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618)
at WOApplicationMain.m:42
0000046 0x00007ffff6c84043 in WOWatchDogApplicationMain (appName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618)
at WOWatchDogApplicationMain.m:1043
0000047 0x000055555555a4c1 in main (argc=13, argv=0x7fffffffe618, env=0x7fffffffe688) at sogod.m:51

nbonline

nbonline

2016-03-10 15:40

reporter   ~0009702

-bash-4.2$ gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-80.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/sogod...Reading symbols from /usr/lib/debug/usr/sbin/sogod.debug...done.
done.
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Mar 10 21:36:32 sogod [3631]: version 3.0.2 (build root@shiva.inverse 201603051153) -- starting
Mar 10 21:36:32 sogod [3631]: vmem size check enabled: shutting down app when vmem > 384 MB
Mar 10 21:36:32 sogod [3631]: <0x0x555555a88f10[SOGoProductLoader]> SOGo products loaded from '/usr/lib64/GNUstep/SOGo':
Mar 10 21:36:32 sogod [3631]: <0x0x555555a88f10[SOGoProductLoader]> AdministrationUI.SOGo, Appointments.SOGo, CommonUI.SOGo, Contacts.SOGo, ContactsUI.SOGo, MailPartViewers.SOGo, Mailer.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, ActiveSync.SOGo
[New Thread 0x7fffe2039700 (LWP 3635)]
[Thread 0x7fffe2039700 (LWP 3635) exited]
Mar 10 21:36:32 sogod [3631]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff0bfec3d in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install avahi-libs-0.6.31-15.el7_2.1.x86_64 cyrus-sasl-lib-2.1.26-20.el7_2.x86_64 dbus-libs-1.6.12-13.el7.x86_64 expat-2.1.0-8.el7.x86_64 glibc-2.17-106.el7_2.4.x86_64 gmp-6.0.0-12.el7_1.x86_64 gnutls-3.3.8-14.el7_2.x86_64 keyutils-libs-1.5.8-3.el7.x86_64 krb5-libs-1.13.2-10.el7.x86_64 libcom_err-1.42.9-7.el7.x86_64 libcurl-7.29.0-25.el7.centos.x86_64 libffi-3.0.13-16.el7.x86_64 libgcc-4.8.5-4.el7.x86_64 libgcrypt-1.5.3-12.el7_1.1.x86_64 libgpg-error-1.12-3.el7.x86_64 libicu-50.1.2-15.el7.x86_64 libidn-1.28-4.el7.x86_64 libmemcached-1.0.16-5.el7.x86_64 libobjc-4.8.5-4.el7.x86_64 libselinux-2.2.2-6.el7.x86_64 libssh2-1.4.3-10.el7_2.1.x86_64 libstdc++-4.8.5-4.el7.x86_64 libtasn1-3.8-2.el7.x86_64 libwbxml-0.11.2-4.el7.centos.x86_64 libxml2-2.9.1-6.el7_2.2.x86_64 libxslt-1.1.28-5.el7.x86_64 mariadb-libs-5.5.44-2.el7.centos.x86_64 nettle-2.7.1-4.el7.x86_64 nspr-4.10.8-2.el7_1.x86_64 nss-3.19.1-19.el7_2.x86_64 nss-softokn-freebl-3.16.2.3-13.el7_1.x86_64 nss-util-3.19.1-9.el7_2.x86_64 openldap-2.4.40-8.el7.x86_64 openssl-libs-1.0.1e-51.el7_2.4.x86_64 p11-kit-0.20.7-3.el7.x86_64 pcre-8.32-15.el7.x86_64 trousers-0.3.13-1.el7.x86_64 xz-libs-5.1.2-12alpha.el7.x86_64 zlib-1.2.7-15.el7.x86_64
(gdb) b [NSException raise]
Breakpoint 1 at 0x7ffff53d9620: file NSException.m, line 960.
(gdb) b abort
Breakpoint 2 at 0x7ffff0b49ba0 (2 locations)
(gdb) c
Continuing.
Mar 10 21:37:24 sogod [3631]: <0x0x555555a4d680[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Mar 10 21:37:24 sogod [3631]: <0x0x555555a4d680[SOGoCache]> Using host(s) '127.0.0.1' as server(s)

Breakpoint 1, -[NSException raise] (self=0x555555fd08e0, _cmd=0x7ffff58bccc0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:960
960 {
(gdb) c
Continuing.
EXCEPTION: <NSException: 0x555555fd08e0> NAME:NSInvalidArgumentException REASON:init with obj and key arrays of different sizes INFO:(null)

Breakpoint 2, 0x00007ffff0b49ba0 in abort () from /lib64/libc.so.6
(gdb) c
Continuing.

Program received signal SIGABRT, Aborted.
0x00007ffff0b485f7 in raise () from /lib64/libc.so.6
(gdb) c
Continuing.

Program terminated with signal SIGABRT, Aborted.
The program no longer exists.

nbonline

nbonline

2016-03-12 06:13

reporter   ~0009727

(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Mar 12 12:11:08 sogod [45431]: version 3.0.2 (build root@shiva.inverse 201603051153) -- starting
Mar 12 12:11:08 sogod [45431]: vmem size check enabled: shutting down app when vmem > 384 MB
Mar 12 12:11:08 sogod [45431]: <0x0x555555a88f10[SOGoProductLoader]> SOGo products loaded from '/usr/lib64/GNUstep/SOGo':
Mar 12 12:11:08 sogod [45431]: <0x0x555555a88f10[SOGoProductLoader]> AdministrationUI.SOGo, Appointments.SOGo, CommonUI.SOGo, Contacts.SOGo, ContactsUI.SOGo, MailPartViewers.SOGo, Mailer.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, SchedulerUI.SOGo, ActiveSync.SOGo
[New Thread 0x7fffe2039700 (LWP 45432)]
[Thread 0x7fffe2039700 (LWP 45432) exited]
Mar 12 12:11:09 sogod [45431]: |SOGo| WOHttpAdaptor listening on address *:20000
^C
Program received signal SIGINT, Interrupt.
0x00007ffff0bfec3d in poll () at ../sysdeps/unix/syscall-template.S:81
81 T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
(gdb) b [NSException raise]
Note: breakpoint 1 also set at pc 0x7ffff53d9620.
Breakpoint 3 at 0x7ffff53d9620: file NSException.m, line 960.
(gdb) b abort
Note: breakpoint 2 also set at pc 0x7ffff5500b10.
Note: breakpoint 2 also set at pc 0x7ffff0b49ba0.
Breakpoint 4 at 0x7ffff0b49ba0: abort. (2 locations)
(gdb) c
Continuing.
Mar 12 12:12:28 sogod [45431]: <0x0x555555b688b0[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Mar 12 12:12:28 sogod [45431]: <0x0x555555b688b0[SOGoCache]> Using host(s) '127.0.0.1' as server(s)

Breakpoint 1, -[NSException raise] (self=0x555555fd08d0, _cmd=0x7ffff58bccc0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:960
960 {
(gdb) bt
#0 -[NSException raise] (self=0x555555fd08d0, _cmd=0x7ffff58bccc0 <_OBJC_SELECTOR_TABLE+384>) at NSException.m:960
0000001 0x00007ffff53d9283 in +[NSException raise:format:] (self=0x7ffff58bcf80 <_OBJC_Class_NSException>, _cmd=<optimized out>, name=0x7ffff58bd5f0 <_OBJC_INSTANCE_4>,
format=0x7ffff58b7030 <_OBJC_INSTANCE_6>) at NSException.m:840
0000002 0x00007ffff53d0cb1 in -[NSDictionary initWithObjects:forKeys:] (self=0x555555fd0810, _cmd=<optimized out>, objects=0x0, keys=0x555555c62440) at NSDictionary.m:472
0000003 0x00007ffff53d03bb in +[NSDictionary dictionaryWithObjects:forKeys:] (self=<optimized out>, _cmd=<optimized out>, objects=0x0, keys=0x555555c62440) at NSDictionary.m:548
0000004 0x00007fffe3d4ee87 in -[UIxPageFrame _stringsForFramework:] (self=0x555555eb3af0, _cmd=0x7fffe3f5bda0 <_OBJC_SELECTOR_TABLE+480>, framework=0x0) at UIxPageFrame.m:232
0000005 0x00007fffe3d4f0a4 in -[UIxPageFrame commonLocalizableStrings] (self=0x555555eb3af0, _cmd=0x555555fc6380) at UIxPageFrame.m:253
0000006 0x00007ffff6c92351 in _getComponentValue (self=0x555555f58e20, object=0x555555eb3af0, info=0x555555f58e40) at WOKeyPathAssociation.m:537
0000007 0x00007ffff6c92ca3 in _getOneValue (self=0x555555f58e20, root=0x555555eb3af0) at WOKeyPathAssociation.m:758
0000008 0x00007ffff6c939f1 in -[WOKeyPathAssociation valueInComponent:] (self=0x555555f58e20, _cmd=0x7ffff6fb4de0 <_OBJC_SELECTOR_TABLE+448>, _component=0x555555eb3af0)
at WOKeyPathAssociation.m:1004
0000009 0x00007ffff6c8f4b0 in -[WOAssociation valueInContext:] (self=0x555555f58e20, _cmd=0x7ffff6ff0920 <_OBJC_SELECTOR_TABLE+928>, _ctx=0x55555588b0d0) at WOAssociation.m:223
0000010 0x00007ffff6cc560f in -[_WOComplexString appendToResponse:inContext:] (self=0x555555f58ef0, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0) at WOString.m:561
0000011 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f5e610, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000012 0x00007ffff6cb4e07 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f651b0, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOGenericContainer.m:121
0000013 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f77b60, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000014 0x00007ffff6caf970 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0) at WOConditional.m:242
0000015 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7aa40, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000016 0x00007ffff6ca9154 in -[WOBody appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0) at WOBody.m:157
0000017 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f09fb0, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000018 0x00007ffff6cb4e07 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f2d3f0, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOGenericContainer.m:121
0000019 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7aea0, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000020 0x00007ffff6caf970 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0) at WOConditional.m:242
0000021 0x00007ffff6cae8c2 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f7b650, _cmd=<optimized out>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOCompoundElement.m:247
0000022 0x00007ffff6c3ed68 in -[WOComponent appendToResponse:inContext:] (self=0x555555eb3af0, _cmd=0x7ffff6f89350 <_OBJC_SELECTOR_TABLE+528>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOComponent.m:928
0000023 0x00007ffff6c64300 in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555555f3d240, _cmd=0x7ffff6fc1ba0 <_OBJC_SELECTOR_TABLE+352>, _response=0x555555c0a870,
_ctx=0x55555588b0d0) at WOChildComponentReference.m:181
0000024 0x00007ffff6c3ed68 in -[WOComponent appendToResponse:inContext:] (self=0x555555eec420, _cmd=0x7ffff7011480 <_OBJC_SELECTOR_TABLE+448>, _response=0x555555c0a870, _ctx=0x55555588b0d0)
at WOComponent.m:928
0000025 0x00007ffff6cdf78b in -[SoDefaultRenderer renderComponent:inContext:] (self=0x555555f1a6b0, _cmd=<optimized out>, _c=0x555555eec420, _ctx=0x55555588b0d0) at SoDefaultRenderer.m:139
0000026 0x00007ffff6ce6972 in -[SoObjectRequestHandler renderObject:inContext:] (self=0x555555ba1b50, _cmd=<optimized out>, _object=0x555555eec420, _ctx=0x55555588b0d0)
at SoObjectRequestHandler.m:466
0000027 0x00007ffff6ce74bd in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x555555ba1b50, _cmd=<optimized out>, _rq=<optimized out>, _ctx=0x55555588b0d0,
_sn=<optimized out>, app=<optimized out>) at SoObjectRequestHandler.m:616
0000028 0x00007ffff6c788d3 in -[WORequestHandler handleRequest:] (self=0x555555ba1b50, _cmd=0x7ffff6f66e10 <_OBJC_SELECTOR_TABLE+1616>, _request=0x555555b68990) at WORequestHandler.m:237
0000029 0x00007ffff6c3a4bc in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555b8dc60, _cmd=0x7ffff6f66e60 <_OBJC_SELECTOR_TABLE+1696>, _request=0x555555b68990,
handler=0x555555ba1b50) at WOCoreApplication.m:712
0000030 0x00007ffff6c3a7bf in -[WOCoreApplication dispatchRequest:] (self=0x555555b8dc60, _cmd=0x555555762e60 <_OBJC_SELECTOR_TABLE+1312>, _request=0x555555b68990) at WOCoreApplication.m:752
0000031 0x000055555555bb7d in -[SOGo dispatchRequest:] (self=0x555555b8dc60, _cmd=0x7ffff6ffe880 <_OBJC_SELECTOR_TABLE+1824>, _request=0x555555b68990) at SOGo.m:444
---Type <return> to continue, or q <return> to quit---
0000032 0x00007ffff6cd7d05 in -[WOHttpTransaction _run] (self=0x55555588ddb0, _cmd=0x7ffff6ffe8b0 <_OBJC_SELECTOR_TABLE+1872>) at WOHttpTransaction.m:596
0000033 0x00007ffff6cd8065 in -[WOHttpTransaction run] (self=0x55555588ddb0, _cmd=0x7ffff6ffc550 <_OBJC_SELECTOR_TABLE+1136>) at WOHttpTransaction.m:649
0000034 0x00007ffff6cd3c64 in -[WOHttpAdaptor runConnection:] (self=0x555555c36870, _cmd=0x7ffff6ffc5f0 <_OBJC_SELECTOR_TABLE+1296>, _socket=0x555555c23b10) at WOHttpAdaptor.m:367
0000035 0x00007ffff6cd3e82 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555c36870, _cmd=0x7ffff6ffc600 <_OBJC_SELECTOR_TABLE+1312>, _connection=0x555555c23b10) at WOHttpAdaptor.m:401
0000036 0x00007ffff6cd4277 in -[WOHttpAdaptor _handleConnection:] (self=0x555555c36870, _cmd=0x7ffff6ffc6b0 <_OBJC_SELECTOR_TABLE+1488>, connection=0x555555c23b10) at WOHttpAdaptor.m:460
0000037 0x00007ffff6cd46f6 in -[WOHttpAdaptor acceptConnection:] (self=0x555555c36870, _cmd=0x7ffff6ffc510 <_OBJC_SELECTOR_TABLE+1072>, _notification=0x555555c39c50) at WOHttpAdaptor.m:521
0000038 0x00007ffff541c95f in -[NSNotificationCenter _postAndRelease:] (self=0x555555887080, _cmd=<optimized out>, notification=0x555555c39c50) at NSNotificationCenter.m:1191
0000039 0x00007ffff60a6e3d in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x555555c1ff10, _cmd=0x7ffff5971eb0 <_OBJC_SELECTOR_TABLE+304>, _fdData=0xb, _type=ET_RDESC,
_extra=0xb, _mode=0x7ffff5904350 <_OBJC_INSTANCE_2>) at NSRunLoop+FileObjects.m:58
0000040 0x00007ffff552684a in -[GSRunLoopCtxt pollUntil:within:] (self=<optimized out>, _cmd=0x7ffff5903540 <_OBJC_SELECTOR_TABLE+1216>, milliseconds=<optimized out>, contexts=<optimized out>)
at GSRunLoopCtxt.m:642
0000041 0x00007ffff5465030 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x555555ba72c0, _cmd=0x7ffff5903580 <_OBJC_SELECTOR_TABLE+1280>, mode=0x7ffff5904350 <_OBJC_INSTANCE_2>,
limit_date=<optimized out>) at NSRunLoop.m:1214
0000042 0x00007ffff54654a9 in -[NSRunLoop runMode:beforeDate:] (self=0x555555ba72c0, _cmd=0x7ffff6f66d00 <_OBJC_SELECTOR_TABLE+1344>, mode=0x7ffff5904350 <_OBJC_INSTANCE_2>, date=0x555555b1e6e0)
at NSRunLoop.m:1275
0000043 0x00007ffff6c39d14 in -[WOCoreApplication run] (self=0x555555b8dc60, _cmd=0x555555762c70 <_OBJC_SELECTOR_TABLE+816>) at WOCoreApplication.m:584
0000044 0x000055555555b22e in -[SOGo run] (self=0x555555b8dc60, _cmd=0x7ffff6f88750 <_OBJC_SELECTOR_TABLE+208>) at SOGo.m:268
0000045 0x00007ffff6c6371a in WOApplicationMain (_appClassName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618) at WOApplicationMain.m:42
0000046 0x00007ffff6c84043 in WOWatchDogApplicationMain (appName=0x555555761160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe618) at WOWatchDogApplicationMain.m:1043
0000047 0x000055555555a4c1 in main (argc=13, argv=0x7fffffffe618, env=0x7fffffffe688) at sogod.m:51

ludovic

ludovic

2016-03-13 09:05

administrator   ~0009733

Please show your /etc/sogo/sogo.conf file.

nbonline

nbonline

2016-03-13 14:09

reporter   ~0009738

{
// Official SOGo documents:
// - http://www.sogo.nu/english/support/documentation.html
// - http://wiki.sogo.nu
//
// Mailing list:
// - http://www.sogo.nu/english/support/community.html

// Enable verbose logging. Reference:
// http://www.sogo.nu/nc/support/faq/article/how-to-enable-more-verbose-logging-in-sogo.html
//SOGoDebugRequests = YES;
//ImapDebugEnabled = YES;
//LDAPDebugEnabled = YES;
//MySQL4DebugEnabled = YES;
//PGDebugEnabled = YES;

// Require at least SOGo-2.3.0
//SOGoEASDebugEnabled = YES;

// Performance Tuning
//
// The amount of instances of SOGo that will be spawned to handle multiple
// requests simultaneously. When started from the init script, that amount
// is overriden by the `PREFORK=` setting in /etc/sysconfig/sogo or
// /etc/default/sogo. A value of 3 is a reasonable default for low usage.
// The maximum value depends on the CPU and IO power provided by your
// machine: a value set too high will actually decrease performances under
// high load.
//
// You should have at least one child per EAS device configured to use
// &quot;push&quot;. You must also have more children than you have EAS devices
// configured to use &quot;push&quot; - in order to handle normal SOGo requests to
// its Web or DAV interfaces.
//
// Defaults to 1 when unset, increase it if you see below error message in
// sogo log file: 'No child available to handle incoming request'
WOWorkersCount = 10;

// Daemon address and port
WOPort = 127.0.0.1:20000;

// NB lagt till
SxVMemLimit = 840;

// PID file
//WOPidFile = /var/run/sogo/sogo.pid;

// Log file
//WOLogFile = /var/log/sogo/sogo.log;

// IMAP connection pool.
// Your performance will slightly increase, as you won't open a new
// connection for every access to your IMAP server.
// But you will get a lot of simultaneous open connections to your IMAP
// server, so make sure he can handle them.
// For debugging it is reasonable to turn pooling off.
//NGImap4DisableIMAP4Pooling = NO;

SOGoProfileURL = &quot;mysql://sogo:3sI8PgR9rvvmAaFJ0THrlmw4gNbWkr@127.0.0.1:3306/sogo/sogo_user_profile&quot;;
OCSFolderInfoURL = &quot;mysql://sogo:3sI8PgR9rvvmAaFJ0THrlmw4gNbWkr@127.0.0.1:3306/sogo/sogo_folder_info&quot;;
OCSSessionsFolderURL = &quot;mysql://sogo:3sI8PgR9rvvmAaFJ0THrlmw4gNbWkr@127.0.0.1:3306/sogo/sogo_sessions_folder&quot;;

// Default language in the web interface
SOGoLanguage = English;
//SOGoLanguage = Swedish;

// Specify which module to show after login: Calendar, Mail, Contacts.
SOGoLoginModule = Mail;

// Must login with full email address
SOGoForceExternalLoginWithEmail = YES;

// Allow user to change full name and email address.
SOGoMailCustomFromEnabled = YES;

// Enable email-based alarms on events and tasks.
SOGoEnableEMailAlarms = YES;
OCSEMailAlarmsFolderURL = &quot;mysql://sogo:3sI8PgR9rvvmAaFJ0THrlmw4gNbWkr@127.0.0.1:3306/sogo/sogo_alarms_folder&quot;;

// IMAP server
//SOGoIMAPServer = &quot;imaps://127.0.0.1:143/?tls=YES&quot;;
// Local connection is considered as secure by Dovecot.
SOGoIMAPServer = &quot;imap://127.0.0.1:143/&quot;;

// SMTP server
SOGoMailingMechanism = smtp;
SOGoSMTPServer = 127.0.0.1;
//SOGoSMTPAuthenticationType = PLAIN;

// Enable managesieve service
//
// WARNING: Sieve scripts generated by SOGo is not compatible with Roundcube
//          webmail, don't use sieve service in both webmails, otherwise
//          it will be messy.
//
//SOGoSieveServer = sieve://127.0.0.1:4190;
//SOGoSieveScriptsEnabled = YES;
//SOGoVacationEnabled = YES;
//SOGoForwardEnabled = YES;

// Memcached
SOGoMemcachedHost = 127.0.0.1;

// Parameter used to set which usernames require administrative privileges
// over all the users tables. For example, this could be used to post
// events in the users calendar without requiring the user to configure
// his/her ACLs. In this case you will need to specify those superuser's
// usernames like this :
// SOGoSuperUsernames = (&lt;username1>[,&lt;username2>, ...]);
//SOGoSuperUsernames = ();

SOGoTimeZone = &quot;Europe/Stockholm&quot;;

SOGoFirstDayOfWeek = 1;

SOGoRefreshViewCheck = every_5_minutes;
SOGoMailReplyPlacement = below;

SOGoAppointmentSendEMailNotifications = YES;
SOGoFoldersSendEMailNotifications = YES;
SOGoACLsSendEMailNotifications = YES;

// NOTE: PostgreSQL cannot update view in iRedMail
SOGoPasswordChangeEnabled = YES;

// Authentication using SQL
/* SQL backend
SOGoUserSources = (
    {
        type = sql;
        id = vmail_mailbox;
        viewURL = &quot;mysql://sogo:3sI8PgR9rvvmAaFJ0THrlmw4gNbWkr@127.0.0.1:3306/sogo/users&quot;;
        canAuthenticate = YES;

        // Default algorithm used when changing passwords.
        userPasswordAlgorithm = ssha;
        prependPasswordScheme = YES;

        // Use vmail.mailbox as global address book.
        // WARNING: This will search all user accounts, not just accounts
        // under same domain as login user.
        //isAddressBook = YES;
        //displayName = &quot;Global Address Book&quot;;
    }
);
SQL backend */

// Authentication using LDAP

SOGoUserSources = (
    {
        type = ldap;
        hostname = &quot;ldap://127.0.0.1:389&quot;;
        baseDN = &quot;o=domains,dc=nbob,dc=net&quot;;
        //bindAsCurrentUser = YES;
        bindDN = &quot;cn=vmailadmin,dc=nbob,dc=net&quot;;
        bindPassword = &quot;5MpOMCk3uixkTaXRqm4t0qBaf62yPk&quot;;
        filter = &quot;objectClass=mailUser AND accountStatus=active AND enabledService=mail&quot;;
        scope = SUB;

        // The algorithm used for password encryption when changing
        // passwords without Password Policies enabled.
        // Possible values are: plain, crypt, md5-crypt, ssha.
        userPasswordAlgorithm = ssha;

        IDFieldName = mail;
        bindFields = (mail);
        CNFieldName = cn;
        // value of UID field must be unique on whole server.
        UIDFieldName = mail;
        IMAPLoginFieldName = mail;
        SearchFieldNames = (cn, sn, displayName, telephoneNumber, mail, shadowAddress);
        canAuthenticate = YES;
        displayName = &quot;Global Address Book&quot;;
        id = ldap_auth;
        isAddressBook = YES;
    }
);

}

nbonline

nbonline

2016-03-13 14:11

reporter   ~0009739

I have added the line: SxVMemLimit = 840;

This solved the problem that the framework crasched.

Now I get this error in browser then try to log in:

Authentication Failed
Unhandled error response

nbonline

nbonline

2016-03-17 17:44

reporter   ~0009788

Someone any ideas??

Christian Mack

Christian Mack

2016-03-18 05:20

developer   ~0009789

what have you set in /etc/sysconfig/sogo ?

tfu

tfu

2016-03-18 11:38

reporter   ~0009793

Try to change you browser language to English.
The problem is caused by a missing translation for Swedish which was fixed after 3.0.2 (https://github.com/inverse-inc/sogo/commit/255e21795e807ec97397e2eac6d62275bff26291).

NSAMPMDesignation = (AM, PM); is missing in
/usr/lib/GNUstep/SOGo/MainUI.SOGo/Resources/Swedish.lproj/Locale

ludovic

ludovic

2016-03-18 12:43

administrator   ~0009794

Switch to the v3 nightly builds or wait for 3.0.3.

Issue History

Date Modified Username Field Change
2016-03-09 16:11 nbonline New Issue
2016-03-09 16:20 ludovic Note Added: 0009667
2016-03-09 16:25 nbonline Note Added: 0009668
2016-03-09 16:27 ludovic Note Added: 0009669
2016-03-09 16:46 nbonline Note Added: 0009670
2016-03-09 16:49 nbonline Note Added: 0009671
2016-03-09 17:01 nbonline Note Added: 0009672
2016-03-09 17:04 ludovic Note Added: 0009673
2016-03-10 08:31 nbonline Note Added: 0009697
2016-03-10 15:40 nbonline Note Added: 0009702
2016-03-12 06:13 nbonline Note Added: 0009727
2016-03-13 09:05 ludovic Note Added: 0009733
2016-03-13 14:09 nbonline Note Added: 0009738
2016-03-13 14:11 nbonline Note Added: 0009739
2016-03-17 17:44 nbonline Note Added: 0009788
2016-03-18 05:20 Christian Mack Note Added: 0009789
2016-03-18 11:38 tfu Note Added: 0009793
2016-03-18 12:43 ludovic Note Added: 0009794
2016-03-18 12:43 ludovic Status new => resolved
2016-03-18 12:43 ludovic Fixed in Version => 3.1.0
2016-03-18 12:43 ludovic Resolution open => fixed
2016-03-18 12:43 ludovic Assigned To => ludovic